View Issue Details

IDProjectCategoryView StatusLast Update
0003740Composrcorepublic2020-05-27 19:27
ReporterChris GrahamAssigned ToChris Graham 
Severityfeature 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0003740: FILE_EXISTS symbol
DescriptionCreate and document a FILE_EXISTS symbol. This may be useful to templators who may embed procedurally-named graphics present on the filesystem, iff they exist.
Additional InformationSample code for a symbol hook which works (sources_custom/hooks/systems/symbols/FILE_EXISTS.php)...

<?php
class Hook_symbol_FILE_EXISTS
{
    public function run($param)
    {
        if (!isset($param[0])) {
            return '0';
        }
        $path = $param[0];
        if (url_is_local($path)) {
            $path = get_custom_file_base() . '/'. $path;
        }
        return file_exists($path) ? '1' : '0';
    }
}
TagsGood for training
Attach Tags
Time estimation (hours)0.5
Sponsorship open

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-11-09 00:41 Chris Graham New Issue
2018-11-09 00:42 Chris Graham Additional Information Updated View Revisions
2019-06-27 19:55 Chris Graham Tag Attached: Good for training
2020-05-27 19:27 Chris Graham Assigned To => Chris Graham
2020-05-27 19:27 Chris Graham Status non-assigned => resolved
2020-05-27 19:27 Chris Graham Resolution open => fixed